Katello - Feature #15741

Use parameter_filter instead of attr_accessible
07/19/2016 01:11 PM - David Davis

Status: Closed
Priority: Normal
Assignee: David Davis
Category: API
Target version: Katello 3.2.0
Difficulty: hard Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/619
4
Description

Foreman is dropping support for protected_attributes and we need to switch to their new way of whitelisting attributes. See here for

more info:

http://projects.theforeman.org/projects/foreman/wiki/Strong_parameters#Changing-core-extensions-to-use-the-plugin-API

Here's the Foreman PR:

https://github.com/theforeman/foreman/pull/3659

Related issues:
Related to Foreman - Feature #3917: Add strong_parameters to foreman
Has duplicate Katello - Bug #5158: Remove attr_accessible from Katello

Has duplicate Katello - Bug #16109: db_seed fails with Host::Managed is using...

Closed 12/19/2013
Duplicate 04/11/2014
Duplicate 08/15/2016

Associated revisions

Revision 328ee19a - 08/01/2016 06:36 PM - David Davis
Fixes #15741 - Use parameter_filter to whitelist attrs (#6194)

History

#1 - 07/19/2016 01:11 PM - David Davis

- Project changed from Foreman to Katello

#2 - 07/19/2016 01:11 PM - David Davis
- Category changed from APl to API

#3 - 07/19/2016 01:11 PM - David Davis

- Related to Bug #3659: "no implicit conversion of URI::HTTP into String" running rake reports:summarize added

#4 - 07/19/2016 01:14 PM - David Davis

- Related to deleted (Bug #3659: "no implicit conversion of URI::HTTP into String" running rake reports:summarize)

#5 - 07/19/2016 01:15 PM - David Davis

- Related to Feature #3917: Add strong_parameters to foreman added

#6 - 07/19/2016 01:16 PM - David Davis
- Assignee deleted (David Davis)

#7 - 07/19/2016 01:56 PM - David Davis

One option would be to add protected_attributes as a dependency for Katello but I'd probably recommend against it. We use strong_params pretty
much everywhere--except when extending the foreman models. We call attr_accessible in about 8 places that | think we can switch over to
http://projects.theforeman.org/projects/foreman/wiki/Strong_parameters#Changing-core-extensions-to-use-the-plugin-API
https://github.com/theforeman/foreman/pull/3659

parameter_filter. | am going to investigate that route.

#8 - 07/19/2016 02:00 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to David Davis

- Pull request https://github.com/Katello/katello/pull/6194 added

#9 - 07/19/2016 02:09 PM - David Davis

- Has duplicate Bug #5158: Remove attr_accessible from Katello added

#10 - 07/27/2016 01:37 PM - Justin Sherrill
- translation missing: en.field_release set to 162

- Difficulty set to hard

#11 - 08/01/2016 07:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|328ee19afa9b743d6ff25e3c7cabaa20c87b43cc.

#12 - 08/17/2016 02:34 PM - David Davis

- Has duplicate Bug #16109: db_seed fails with Host::Managed is using attr_accessible so must either be converted to strong parameters, or add the
protected_attributes gem added
